%define name	rezound
%define version 0.12.3
%define release %mkrel 3

Summary:	Audio Editing Package
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
URL: 		http://rezound.sourceforge.net/
Source0: 	http://prdownloads.sourceforge.net/rezound/%{name}-%{version}beta.tar.bz2
Patch:		rezound-0.12.2beta-64bit.patch
Patch1:		rezound-flac-1.2.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libvorbis-devel 
BuildRequires:  fox1.6-devel
BuildRequires:  libaudiofile-devel flex
BuildRequires:  libjack-devel
BuildRequires:  fftw2-devel
BuildRequires:  libflac++-devel
BuildRequires:  soundtouch-devel
BuildRequires:  bison >= 1.875-3mdk

%description
ReZound aims to be a stable, open source, and graphical audio file editor 
primarily for but not limited to the Linux operating system.

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n %name-%{version}beta
%patch -p1
%patch1 -p1

%build
%configure2_5x --disable-portaudio
%make

%install
%makeinstall
mkdir -p %buildroot/%{_docdir}/%name-%version
mv %buildroot%_prefix/doc/* %buildroot/%{_docdir}/%name-%version

# Menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Rezound
Comment=Digital audio editor
Exec=%{name}
Icon=sound_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideoEditing;Recorder;
EOF

%find_lang %name

%clean
rm -rf %buildroot/

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/rezound
%_datadir/applications/mandriva-%name.desktop
%_docdir/%name-%version




%changelog
* Sat Sep 08 2007 Emmanuel Andry <eandry@mandriva.org> 0.12.3-3mdv2008.0
+ Revision: 82475
- Drop old menu
- build against fox 1.6
- add sourceforge patch to fix build with flac >= 1.1.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.12.3-2mdv2007.0
+ Revision: 108624
- bot rebuild
- Import rezound

* Sun Jan 14 2007 Gtz Waschk <waschk@mandriva.org> 0.12.3-1mdv2007.1
- xdg menu
- unpack patch
- disable portaudio
- new version

* Tue Feb 14 2006 Gtz Waschk <waschk@mandriva.org> 0.12.2-2mdk
- patch to make it build on 64 bit

* Tue Sep 06 2005 Götz Waschk <waschk@mandriva.org> 0.12.2-1mdk
- New release 0.12.2

* Mon Sep 05 2005 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdk
- New release 0.12.1

* Tue May 03 2005 Gtz Waschk <waschk@mandriva.org> 0.12.0-1mdk
- drop the patch
- New release 0.12.0

* Fri Apr 22 2005 Lenny Cartier <lenny@mandriva.com> 0.11.1-3mdk
- rebuild for dependencies

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.11.1-2mdk
- fix buildrequires
- build with the new fox

* Thu Oct 28 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.11.1-1mdk
- New release 0.11.1

* Mon Oct 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.11.0-1mdk
- New release 0.11.0

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-2mdk
- rebuild for new flac

* Wed Jul 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-1mdk
- 0.10.0beta

* Tue Jun 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-0.20040628.1mdk
- fix buildrequires, use fox 1.2
- upgrade to CVS snapshot

